<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
   <ui:composition  template="/template.xhtml">
             <ui:define name="title">
               
              </ui:define>    
              <ui:define name="body">
                  <h:panelGroup id="messagePanel" layout="block">
                     <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
                   </h:panelGroup>
                  <h:form id="form">
            
                 <p:tab id="sesion" title="Sesion" >
                    <p:panel header="Datos de Sesion">
                        <h:panelGrid columns="2" columnClasses="label, value">
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrFoto}" for="usrFoto" />
                            <h:inputText id="usrFoto" value="#{usuariosController.selected.usrFoto}" title="#{bundle.CreateUsuariosTitle_usrFoto}" />
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrEmail}" for="usrEmail" />
                            <p:inputText id="usrEmail" type="email" value="#{usuariosController.selected.usrEmail}" title="#{bundle.CreateUsuariosTitle_usrEmail}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrEmail}"/>
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrPass}" for="usrPass" />
                            <h:inputText id="usrPass"  value="#{usuariosController.selected.usrPass}" title="#{bundle.CreateUsuariosTitle_usrPass}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrPass}"/>
                            <h:outputLabel value="Confirmar #{bundle.CreateUsuariosLabel_usrPass}" for="usrPass2" />
                            <h:inputText id="usrPass2" value="#{usuariosController.usrPass2}" title="#{bundle.CreateUsuariosTitle_usrPass}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrPass}"/>
                        </h:panelGrid>
                        <h:panelGrid columns="2" columnClasses="label, value">
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrRolId}" for="usrRolId" />
                                <h:selectOneMenu id="usrRolId" value=" #{usuariosController.selected.usrRolId}" title="#{bundle.CreateUsuariosTitle_usrRolId}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrRolId}">
                                    <f:selectItems value="#{rolController.itemsAvailableSelectOne}"/>
                                </h:selectOneMenu>
                        </h:panelGrid>
                        
                    </p:panel>
                </p:tab>
                <p:tab id="personal" title="Personal">
                    <p:panel header="Datos Personales">
                        <h:panelGrid columns="2" columnClasses="label, value">
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrNombre}" for="usrNombre" />
                            <h:inputText id="usrNombre" value="#{usuariosController.selected.usrNombre}" title="#{bundle.CreateUsuariosTitle_usrNombre}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrNombre}"/>
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrApellido}" for="usrApellido" />
                            <h:inputText id="usrApellido" value="#{usuariosController.selected.usrApellido}" title="#{bundle.CreateUsuariosTitle_usrApellido}" required="true" requiredMessage="#{bundle.CreateUsuariosRequiredMessage_usrApellido}"/>
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrSexo}" for="usrSexo" />
                            <h:selectOneMenu id="usrSexo" value="#{usuariosController.selected.usrSexo}" required="true">
                                <f:selectItem itemLabel="---" itemValue="" noSelectionOption="true" />
                                <f:selectItem itemLabel="Hombre" itemValue="false" />
                                <f:selectItem itemLabel="Mujer" itemValue="true" />
                            </h:selectOneMenu>
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrTipoDoc}" for="usrTipoDoc" />
                            <h:selectOneMenu id="usrtipoDocu" value="#{usuariosController.selected.usrTipoDoc}" required="true">
                                <f:selectItem itemLabel="---" itemValue="" noSelectionOption="true" />
                                <f:selectItem itemLabel="Ti" itemValue="TI" />
                                <f:selectItem itemLabel="CC" itemValue="CC" />
                            </h:selectOneMenu>
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrNumDoc}" for="usrNumDoc" />
                            <h:inputText id="usrNumDoc" value="#{usuariosController.selected.usrNumDoc}" title="#{bundle.CreateUsuariosTitle_usrNumDoc}" />
                    
                        </h:panelGrid>
                    </p:panel>
                </p:tab>
             <p:tab id="origen" title="Origen">
                    <p:panel header="Datos Origen">
                        <h:panelGrid columns="2" columnClasses="label, value">
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrDepartamentoId}" for="usrDepartamento" />
                            <h:selectOneMenu id="usrDepartamento" value="#{usuariosController.selected.usrDepartamentoId}" title="#{bundle.CreateUsuariosTitle_usrDepartamentoId}" validator="#{ciudadController.asignarDepartamento}"  >
                                <f:selectItems value="#{departamentosController.itemsAvailableSelectOne}"/>
                                 <p:ajax  listener="#{ciudadController.asignarCiudades}"   update="usrCiudad" /> 
                            </h:selectOneMenu>
                            <h:outputLabel value="#{bundle.CreateUsuariosLabel_usrCiudadId}" for="usrCiudad" />
                            <h:selectOneMenu id="usrCiudad" value="#{usuariosController.selected.usrCiudadId}" title="#{bundle.CreateUsuariosTitle_usrCiudadId}" >
                                <f:selectItems value="#{ciudadController.itemsAvailableSelectOne}"/>
                            </h:selectOneMenu>
                           
                        </h:panelGrid>
                        <h:form id="form_registrar_bot">
                            <p:commandButton value="#{bundle.CreateUsuariosSaveLink}" action="#{usuariosController.create}"   resetValues="true"/>
                        </h:form>
                    </p:panel>
               </p:tab>
             </h:form>
       </ui:define>         
    </ui:composition>


</html>